jv.objectGui

## Class PsTabPanel

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Panel
      - - jv.object.PsPanel
        - - jv.objectGui.PsTabPanel

- All Implemented Interfaces:
    java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, PsUpdateIf

      public class PsTabPanel
      extends PsPanel

  Panel with header of tabs and a body panel with cardlayout.

  Usage:

                 tabPanel = new PsTabPanel();
                 add(tabPanel); // add tabbed panel like any other panel
                 tabPanel.addPanel("Domain", m_domain.newInstance(PsPanel.INFO_EXT));
                 tabPanel.addPanel("Surface", m_function.newInstance(PsPanel.INFO_EXT));
                 tabPanel.setVisible("Surface"); // select initially active panel
                 tabPanel.validate();                 // layout panel again

  Use the following call to reset the tabbed panel, i.e. remove all panels.

                 tabPanel.init();
          // add some new stuff to panel
                 tabPanel.validate();                 // layout panel again

  Panels added to PsTabPanel must be instance of PsPanel to ensure an update() method to be called whenever the panel becomes visible.
  See Also:
    Serialized Form
  Author:
    Konrad Polthier
  Version:
    28.09.09, 2.40 revised (fk) Adjust tab header width to text width.
    11.10.00, 2.30 revised (ep) Remove tab from header when panel is removed from tabpanel.
    15.09.99, 2.20 revised (kp) Inform each panel when it becomes visible.
    07.08.99, 2.10 revised (kp) Conversion to AWT 1.1
    04.07.99, 2.00 revised (kp) Completely revised using old class PsTabs.
    00.00.98, 1.00 created (kp)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.BaselineResizeBehavior`

  - ### Field Summary

    - ### Fields inherited from class jv.object.PsPanel

      `BORDER_GROOVE, BORDER_LINE, BORDER_LINETOP, BORDER_NONE, BORDER_SUNK, BOUNDARY, BOUNDARY_EXT, CONFIG, CONFIG_EXT, INFO, INFO_EXT, LABEL, LABEL_EXT, MATERIAL, MATERIAL_EXT, ORIENT_GUIDE, ORIENT_HORIZONTAL, ORIENT_VERTICAL, TEXTURE, TEXTURE_EXT, VECTOR, VECTOR_EXT`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PsTabPanel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPanel(java.lang.String name, PsPanel panel)`
    `java.lang.String` | `getCurrentPanel()`
    `PsPanel` | `getPanel(java.lang.String name)`
    `boolean` | `hasPanel(PsPanel panel)`
    `boolean` | `hasPanel(java.lang.String name)`
    `void` | `init()` Provides layout and adds internal components.
    `void` | `removePanel(java.lang.String name)`
    `void` | `setEnableTab(java.lang.String name, boolean enabled)`
    `void` | `setVisible(java.lang.String name)` Switch to panel with given name.
    `void` | `validate()` Validate card panel and show named panel.

    - ### Methods inherited from class jv.object.PsPanel

      `addLabelComponent, addLine, addLine, addSubTitle, addTextField, addTitle, drawBorder, drawBorder, drawBorder, drawBorder, drawText, getFather, getInsets, getLanguage, getPanelVersion, getPreferredSize, getTitle, getTitle, getTitle, hasTitle, instanceOf, paint, removeTitle, select, setBackColor, setBorderType, setEnabled, setImage, setInsetSize, setInsetSizeHorizontal, setInsetSizeVertical, setLabel, setLabel, setOutOfDate, setParent, setPreferredSize, setSelectedCheckbox, setState, setText, setText, setTitle, setVisible, update, update`

    - ### Methods inherited from class java.awt.Panel

      `addNotify, getAccessibleContext`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getListeners, getMaximumSize, getMinimumSize, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, isValidateRoot, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, remove, remove, removeAll, removeContainerListener, removeNotify, setComponentZOrder, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, setLayout, transferFocusDownCycle`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, dispatchEvent, enable, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocusInWindow, reshape, resize, resize, revalidate, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jv.object.PsUpdateIf

      `getName`

- - ### Constructor Detail

    - #### PsTabPanel

          public PsTabPanel()

  - ### Method Detail

    - #### init

          public void init()

      Description copied from class: `PsPanel`
      Provides layout and adds internal components.
      Overrides:
        `init` in class `PsPanel`

    - #### addPanel

          public void addPanel(java.lang.String name,
                               PsPanel panel)

    - #### getCurrentPanel

          public java.lang.String getCurrentPanel()

    - #### getPanel

          public PsPanel getPanel(java.lang.String name)

    - #### hasPanel

          public boolean hasPanel(java.lang.String name)

    - #### hasPanel

          public boolean hasPanel(PsPanel panel)

    - #### validate

          public void validate()

      Validate card panel and show named panel. Must be called after a panel is replaced.
      Overrides:
        `validate` in class `java.awt.Container`
      Version:
        06.08.99, 1.10 revised (kp) Added super.validate().

    - #### removePanel

          public void removePanel(java.lang.String name)

      Version:
        11.10.00, 1.10 revised (ep) Implemented former removal of tab from header.

    - #### setVisible

          public void setVisible(java.lang.String name)

      Switch to panel with given name.
      Version:
        15.09.99, 2.20 revised (kp) Inform each panel when it becomes visible.

    - #### setEnableTab

          public void setEnableTab(java.lang.String name,
                                   boolean enabled)

"

The software JavaView? is copyright protected. All Rights Reserved.
"